/**
 * All Toolbar items are arranged in a flow layout. Once there are too many items to display, some flow into the second row
 * which is not visible.
 */

.sapUiTb {
	height: 26px;
	border: none;
	padding: 0;
	margin: 0;
	overflow: hidden;
	position: relative;
	white-space: normal; // make sure parents don't break the toolbar logic for overflowing to the second line
}

.sapUiTb.sapUiTbStandalone {
	height: 28px; /* standalone case has borders one layer below, so the total height of the outermost element needs to be increased */
}

.sapUiTbDesignTransparent,
.sapUiTbDesignFlat {
	background-color: transparent;
}

.sapUiTbDesignStandard {
	background-color: @sapUiDarkBG;
}

/* ToolBar items CONTainer (the outer one, sapUiTbInner is the inner one...)
   This one is required for the borders, as setting them outside would e.g. invalidate width settings. */
.sapUiTbCont {
	height: 22px;
	line-height: 22px;
	overflow: hidden;   /* hide the items flowing into the second row */
	position: relative; /* required for IE7 to make overflow:hidden work! */
	padding: 4px 0px 0px 10px;
}

.sapUiTbContLeft.sapUiTbCont{
	float: left;
	width: 100%;
	box-sizing: border-box;
	height: 27px;
	padding-top: 1px;
}

.sapUiTbStandalone .sapUiTbCont {
	border-width: 1px;
	border-style: solid;
}

/* inner container holding all the Toolbar contents */
.sapUiTbInner {
	position: relative; /* to allow positioning the overflow button and the cover */
	overflow: visible;  /* required for the overflow button which is positioned outside! The real overflow hiding is done one level above */
	margin-right: 20px; /* the space for the overflow button */
}

/* regular padding between Toolbar items */
.sapUiTbInner > * , .sapUiTbInnerRight > * {
	margin-right: 2px;
	margin-bottom: 20px; /* make sure the second row is out of sight */
}

.sapUiTbInnerRight {
	text-align: right;
	position: absolute;
	right: 0px;
	padding: 2px 0px 0px 10px;
	height: 22px;
	white-space: nowrap;
}

/* ToolBar Overflow Button ("chevron arrows") */
.sapUiTbOB {
	background-image: url(img/toolbar/overflow.png);
	background-position: center center;
	background-repeat: no-repeat;
	display: none;  /* will be modified by Toolbar.js for displaying/hiding on resize */
	width: 14px;
	height: 20px;
	position: absolute;
	right: -14px; /* position the overflow button right outside of its container */
	top: 0px;
	cursor: pointer;
	margin-right: 0; /* remove that standard Toolbar item margin */
}

/* large space between Toolbar items */
.sapUiTbSpacer {
	display: inline-block;
	width: 14px;
	height: 2px;
}

/* large space with separator line between Toolbar items */
.sapUiTbSeparator {
	display: inline-block;
	width: 14px;
	/* Concrete themes must provide the separator graphics */
}

/* ToolBar overflow Drop-Down menu */
.sapUiTbDD {
	position: absolute;
	top: 0; /* is only made visible after moved to the right position; not setting top:0 causes flashing scrollbars */
	display: none;
	width: 222px;
}

.sapUiTbDD > div {
	border-width: 1px;
	border-style: solid;
	border-color: @sapUiMediumBorder;
	padding: 6px;
}

.sapUiTbDD > div > * {
	margin: 2px;
}

/* disabled buttons are focuses in Toolbar by ItemNavigation -> so make visible using simple outline*/
.sapUiTbInner > .sapUiBtnDsbl:focus,
.sapUiTbInnerRight > .sapUiBtnDsbl:focus{
	outline: 1px dotted @sapUiBaseBorder;
}

/* Toolbar inside of Form as Form- and Container- header */
.sapUiGridTitle > th > .sapUiTb,
.sapUiFormToolbar > .sapUiTb{
	border-bottom: 2px solid @sapUiMediumBorder;
}
